#include "main.h"

void inputClient(void)
{
    int numClient;
    FILE *client;
    client = fopen("client.txt", "a");
    if (client == NULL)
    { 
        printf("Erreur lors de l'ouverture de 'client.txt'\n");
        exit(1);
    }

    while (numClient)
    {
        printf("Entrez le numéro du client ou 0 si vous souhaitez arrêter la saisie: ");
        scanf("%d", &numClient);
        while (numClient < 0)
        {
            printf("Erreur, le numéro du client doit être positif, entrez le numéro du client ou 0 si vous souhaitez arrêter la saisie: ");
            scanf("%d", &numClient);
        }
        fprintf(client, "%d\t0\t0", numClient);
    }
    fclose(client);
}

void modifyClient(int clientID[], float cagnotte[], int suspended[], int tlog)
{
    // à modifier dans un tableau, sauvegarde dans fichier avec fct de sauvegarde
    int index, numClient, modif, montant;
    printf("Entrez le numéro du client dont vous voulez modifier les données: ");
    scanf("%d%*c", &numClient);
    index = recherche(numClient, clientID, tlog);
    printf("Entrez la modification voulue (s pour suspendre ou réactiver, c pour ajouter à la cagnotte)");
    scanf("%c"; &modif);
    if (modif == 's')
        if (suspended[index] == 0)
            suspended[index] = 1;
        else if (suspended[index] == 1)
            suspended[index] = 0;
    else if (modif == 'c')
    {
        printf("Entrez le montant à ajouter à la cagnotte: ");
        scanf("%d", &montant);
        cagnotte[index] += montant;
    }
}

void inputItem(void)
{
    int reference = 1;
    float poids, volume, prix;
    FILE *item;
    item = fopen("article.txt", "a");
    if (item == NULL)
    { 
        printf("Erreur lors de l'ouverture de 'article.txt'\n");
        return;
    }

    while (reference)
    {
        printf("Entrez la référence du produit ou 0 si vous souhaitez arrêter la saisie: ");
        scanf("%d", &reference);
        printf("Entrez le poids du produit: ");
        scanf("%f", &poids);
        printf("Entrez le volume du produit: ");
        scanf("%f", &volume);
        printf("Entrez le prix du produit: ");
        scanf("%f", &prix);
    }
    fclose(item);
}