/**
 * @file main.h
 * @brief Header possédant les inclusions de module, déclarations de constante & prototypes de fonction.
*/

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

#define tmaxArticles 500
#define tmaxClients 750

//! TRAITEMENT DES FICHIERS
void chargeDonnees(int reference[], float weight[], float volume[], float unitPrice[], int clientID[], float cagnotte[], int suspended[]);
int chargeArticles(int reference[], float weight[], float volume[], float unitPrice[]);
int chargeClients(int clientID[], float cagnotte[], int suspended[]);

void sauvegardeDonnees(int reference[], float weight[], float volume[], float unitPrice[], int clientID[], float cagnotte[], int suspended[]);
void sauvegardeArticles(int reference[], float weight[], float volume[], float unitPrice[]);
void sauvegardeClients(int clientID[], float cagnotte[], int suspended[]);

//! GESTION CLIENTS
void inputClient(void);
void modifyClient(void);

//! GESTION STOCKS
void inputItem(void);

//! AFFICHAGE DES DONNEES
void displayAItem(int reference[], float weight[], float volume[], float unitPrice[], int tlog);
void displayItemList(int reference[], float weight[], float volume[], float unitPrice[], int log);
void displayClient(int clientID[], float cagnotte[], int suspended[], int tlog);
void displayClientList(int clientID[], float cagnotte[], int suspended[], int tlog);

//! RECHERCHE
int recherche(int val, int tab[], int tlog);